Subject: bug#496: Has speech-dispatcher been forked?

From: Gregory Nowak <[email-masked]>
Date: Mon, 26 Apr 2021 18:07:59 -0700

No, speech-dispatcher hasn't been forked as far as I know; I certainly
haven't done it yet.

The inclusion of the debian-pulseaudio-config-override package in
Beowulf and beyond raises a problem. Forking speech-dispatcher relies
on pulseaudio being disabled by default. Uninstalling pulseaudio isn't
possible in every case, since at least xfce, and perhaps other
desktops seem to have a hard dependency on it. If speech-dispatcher
was forked with the changes I proposed, and pulseaudio was enabled as
the debian-pulseaudio-config-override package does, users would have
no speech in the GUI or the text console, making the problem worse.

The possible solutions I can think of are:

1. Don't install debian-pulseaudio-config-override by default, and
   fork speech-dispatcher with the changes I proposed.

2. Remove the hard dependency on pulseaudio from xfce and other
   desktops, and fork speech-dispatcher with the changes I proposed.

3. Don't fork speech-dispatcher, close this bug, and leave users who
   do a new install with speech at the text console, but not in the
   GUI by default until they manually resolve the situation, as is the
   case in debian right now.

Greg